curl --request GET \
--url https://api.zeroruntime.ai/v1/knowledge-bases/{knowledgeId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.zeroruntime.ai/v1/knowledge-bases/{knowledgeId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zeroruntime.ai/v1/knowledge-bases/{knowledgeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zeroruntime.ai/v1/knowledge-bases/{knowledgeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zeroruntime.ai/v1/knowledge-bases/{knowledgeId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.zeroruntime.ai/v1/knowledge-bases/{knowledgeId}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zeroruntime.ai/v1/knowledge-bases/{knowledgeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"knowledgeId": "w8d3k",
"name": "Help center: billing",
"type": "url",
"status": "ready",
"statusReason": null,
"failureCode": null,
"sizeInBytes": 0,
"pageCount": 3,
"sectionCount": 21,
"charCount": 18240,
"folderId": null,
"currentVersion": 1,
"latestVersion": 1,
"createdAt": "2026-10-13T09:30:00.000Z",
"updatedAt": "2026-10-13T09:31:12.000Z",
"markdown": "# Billing\n\nYou're billed on the first of each month...",
"fileUrl": null,
"fileUrlExpiresAt": null,
"sourceUrl": "https://help.example.com",
"pages": [
"https://help.example.com/billing",
"https://help.example.com/billing/refunds",
"https://help.example.com/plans"
]
}{
"error": "<string>"
}{
"message": "Knowledge base not found"
}Get knowledge base
Returns the knowledge base with the parsed text your agent retrieves from.
While an edit is indexing, this already returns the edited text and version. Agents read the previous version until indexing completes.
curl --request GET \
--url https://api.zeroruntime.ai/v1/knowledge-bases/{knowledgeId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.zeroruntime.ai/v1/knowledge-bases/{knowledgeId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zeroruntime.ai/v1/knowledge-bases/{knowledgeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zeroruntime.ai/v1/knowledge-bases/{knowledgeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zeroruntime.ai/v1/knowledge-bases/{knowledgeId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.zeroruntime.ai/v1/knowledge-bases/{knowledgeId}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zeroruntime.ai/v1/knowledge-bases/{knowledgeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"knowledgeId": "w8d3k",
"name": "Help center: billing",
"type": "url",
"status": "ready",
"statusReason": null,
"failureCode": null,
"sizeInBytes": 0,
"pageCount": 3,
"sectionCount": 21,
"charCount": 18240,
"folderId": null,
"currentVersion": 1,
"latestVersion": 1,
"createdAt": "2026-10-13T09:30:00.000Z",
"updatedAt": "2026-10-13T09:31:12.000Z",
"markdown": "# Billing\n\nYou're billed on the first of each month...",
"fileUrl": null,
"fileUrlExpiresAt": null,
"sourceUrl": "https://help.example.com",
"pages": [
"https://help.example.com/billing",
"https://help.example.com/billing/refunds",
"https://help.example.com/plans"
]
}{
"error": "<string>"
}{
"message": "Knowledge base not found"
}Authorizations
Your API token, sent raw (no Bearer prefix).
Path Parameters
Response
The knowledge base.
Status and size fields describe the current version.
5 characters
"k7x2m"
"pricing.pdf"
pdf, txt, csv, json, docx, md, url processing: being parsed and indexed. Not available to agents yet.ready: indexed and available to agents.failed: processing stopped.statusReasonsays why.
processing, ready, failed Why processing failed.
For example upload_failed or job_not_scheduled.
0 for website knowledge bases.
null when it's at the top level.
The version agents read from.
The newest version. It may still be processing
The parsed text of the current version. null until status is ready.
Downloads the original file. null until status is ready, and for website knowledge bases.
When fileUrl stops working
The site the pages are on. Website knowledge bases only.
The pages that are parsed. Website knowledge bases only.